For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

token latest price data

get

https://pro-api.solscan.io/v2.0/token/price/latest

Get the latest price of multiple tokens.

QUERY PARAMS

address

array

required

A list of Solana token (mint) addresses. Maximum of 50 token addresses.

Maximum allowed values: 50

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

address

string

The token address

price

number

The price of token (in USD)

price_change_24h

number

Price change percentage over the last 24 hours

market_cap

number

Token market capitalization in USD

updated_time

number

Unix timestamp (in seconds) of when the data was last updated

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples